org.apache.tinkerpop.gremlin.structure

## Class GraphTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.GraphTest

-     public class GraphTest
      extends AbstractGremlinTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com), Marko A. Rodriguez (http://markorodriguez.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldAddVertexWithUserSuppliedAnyIdUsingAnyObject()`
    `void` | `shouldAddVertexWithUserSuppliedAnyIdUsingString()`
    `void` | `shouldAddVertexWithUserSuppliedAnyIdUsingUuid()`
    `void` | `shouldAddVertexWithUserSuppliedNumericId()`
    `void` | `shouldAddVertexWithUserSuppliedStringId()`
    `void` | `shouldAddVertexWithUserSuppliedUuidId()`
    `void` | `shouldEvaluateConnectivityPatterns()` Create a small `Graph` and ensure that counts of edges per vertex are correct.
    `void` | `shouldHaveExceptionConsistencyWhenAssigningSameIdOnVertex()`
    `void` | `shouldHaveExceptionConsistencyWhenFindEdgeByIdThatIsNonExistentViaIterator()`
    `void` | `shouldHaveExceptionConsistencyWhenFindVertexByIdThatIsNonExistentViaIterator()`
    `void` | `shouldHaveStandardStringRepresentation()` Graphs should have a standard toString representation where the value is generated by `StringFactory.graphString(Graph, String)`.
    `void` | `shouldImplementAndExposeFeatures()` Ensure compliance with Features by checking that all Features are exposed by the implementation.
    `void` | `shouldIterateEdgesWithCustomIdSupportUsingEdge()`
    `void` | `shouldIterateEdgesWithCustomIdSupportUsingEdgeId()`
    `void` | `shouldIterateEdgesWithCustomIdSupportUsingEdgeIds()`
    `void` | `shouldIterateEdgesWithCustomIdSupportUsingEdges()`
    `void` | `shouldIterateEdgesWithCustomIdSupportUsingStringRepresentation()`
    `void` | `shouldIterateEdgesWithCustomIdSupportUsingStringRepresentations()`
    `void` | `shouldIterateEdgesWithNumericIdSupportUsingDoubleRepresentation()`
    `void` | `shouldIterateEdgesWithNumericIdSupportUsingDoubleRepresentations()`
    `void` | `shouldIterateEdgesWithNumericIdSupportUsingEdge()`
    `void` | `shouldIterateEdgesWithNumericIdSupportUsingEdgeId()`
    `void` | `shouldIterateEdgesWithNumericIdSupportUsingEdgeIds()`
    `void` | `shouldIterateEdgesWithNumericIdSupportUsingFloatRepresentation()`
    `void` | `shouldIterateEdgesWithNumericIdSupportUsingFloatRepresentations()`
    `void` | `shouldIterateEdgesWithNumericIdSupportUsingIntegerRepresentation()`
    `void` | `shouldIterateEdgesWithNumericIdSupportUsingIntegerRepresentations()`
    `void` | `shouldIterateEdgesWithNumericIdSupportUsingLongRepresentation()`
    `void` | `shouldIterateEdgesWithNumericIdSupportUsingLongRepresentations()`
    `void` | `shouldIterateEdgesWithNumericIdSupportUsingStringRepresentation()`
    `void` | `shouldIterateEdgesWithNumericIdSupportUsingStringRepresentations()`
    `void` | `shouldIterateEdgesWithNumericIdSupportUsingVertices()`
    `void` | `shouldIterateEdgesWithStringIdSupportUsingEdge()`
    `void` | `shouldIterateEdgesWithStringIdSupportUsingEdgeId()`
    `void` | `shouldIterateEdgesWithStringIdSupportUsingEdgeIds()`
    `void` | `shouldIterateEdgesWithStringIdSupportUsingEdges()`
    `void` | `shouldIterateEdgesWithStringIdSupportUsingStringRepresentation()`
    `void` | `shouldIterateEdgesWithStringIdSupportUsingStringRepresentations()`
    `void` | `shouldIterateEdgesWithUuidIdSupportUsingEdge()`
    `void` | `shouldIterateEdgesWithUuidIdSupportUsingEdgeId()`
    `void` | `shouldIterateEdgesWithUuidIdSupportUsingEdgeIds()`
    `void` | `shouldIterateEdgesWithUuidIdSupportUsingEdges()`
    `void` | `shouldIterateEdgesWithUuidIdSupportUsingStringRepresentation()`
    `void` | `shouldIterateEdgesWithUuidIdSupportUsingStringRepresentations()`
    `void` | `shouldIterateVerticesWithCustomIdSupportUsingDetachedVertex()`
    `void` | `shouldIterateVerticesWithCustomIdSupportUsingReferenceVertex()`
    `void` | `shouldIterateVerticesWithCustomIdSupportUsingStarVertex()`
    `void` | `shouldIterateVerticesWithCustomIdSupportUsingStringRepresentation()`
    `void` | `shouldIterateVerticesWithCustomIdSupportUsingStringRepresentations()`
    `void` | `shouldIterateVerticesWithCustomIdSupportUsingVertex()`
    `void` | `shouldIterateVerticesWithCustomIdSupportUsingVertexId()`
    `void` | `shouldIterateVerticesWithCustomIdSupportUsingVertexIds()`
    `void` | `shouldIterateVerticesWithCustomIdSupportUsingVertices()`
    `void` | `shouldIterateVerticesWithNumericIdSupportUsingDoubleRepresentation()`
    `void` | `shouldIterateVerticesWithNumericIdSupportUsingDoubleRepresentations()`
    `void` | `shouldIterateVerticesWithNumericIdSupportUsingFloatRepresentation()`
    `void` | `shouldIterateVerticesWithNumericIdSupportUsingFloatRepresentations()`
    `void` | `shouldIterateVerticesWithNumericIdSupportUsingIntegerRepresentation()`
    `void` | `shouldIterateVerticesWithNumericIdSupportUsingIntegerRepresentations()`
    `void` | `shouldIterateVerticesWithNumericIdSupportUsingLongRepresentation()`
    `void` | `shouldIterateVerticesWithNumericIdSupportUsingLongRepresentations()`
    `void` | `shouldIterateVerticesWithNumericIdSupportUsingStringRepresentation()`
    `void` | `shouldIterateVerticesWithNumericIdSupportUsingStringRepresentations()`
    `void` | `shouldIterateVerticesWithNumericIdSupportUsingVertex()`
    `void` | `shouldIterateVerticesWithNumericIdSupportUsingVertexId()`
    `void` | `shouldIterateVerticesWithNumericIdSupportUsingVertexIds()`
    `void` | `shouldIterateVerticesWithNumericIdSupportUsingVertices()`
    `void` | `shouldIterateVerticesWithNumericSupportUsingDetachedVertex()`
    `void` | `shouldIterateVerticesWithNumericSupportUsingReferenceVertex()`
    `void` | `shouldIterateVerticesWithNumericSupportUsingStarVertex()`
    `void` | `shouldIterateVerticesWithStringIdSupportUsingStringRepresentation()`
    `void` | `shouldIterateVerticesWithStringIdSupportUsingStringRepresentations()`
    `void` | `shouldIterateVerticesWithStringIdSupportUsingVertex()`
    `void` | `shouldIterateVerticesWithStringIdSupportUsingVertexId()`
    `void` | `shouldIterateVerticesWithStringIdSupportUsingVertexIds()`
    `void` | `shouldIterateVerticesWithStringIdSupportUsingVertices()`
    `void` | `shouldIterateVerticesWithStringSupportUsingDetachedVertex()`
    `void` | `shouldIterateVerticesWithStringSupportUsingReferenceVertex()`
    `void` | `shouldIterateVerticesWithStringSupportUsingStarVertex()`
    `void` | `shouldIterateVerticesWithUuidIdSupportUsingDetachedVertex()`
    `void` | `shouldIterateVerticesWithUuidIdSupportUsingReferenceVertex()`
    `void` | `shouldIterateVerticesWithUuidIdSupportUsingStarVertex()`
    `void` | `shouldIterateVerticesWithUuidIdSupportUsingStringRepresentation()`
    `void` | `shouldIterateVerticesWithUuidIdSupportUsingStringRepresentations()`
    `void` | `shouldIterateVerticesWithUuidIdSupportUsingVertex()`
    `void` | `shouldIterateVerticesWithUuidIdSupportUsingVertexId()`
    `void` | `shouldIterateVerticesWithUuidIdSupportUsingVertexIds()`
    `void` | `shouldIterateVerticesWithUuidIdSupportUsingVertices()`
    `void` | `shouldNotMixTypesForGettingSpecificEdgesWithEdgeFirst()`
    `void` | `shouldNotMixTypesForGettingSpecificEdgesWithStringFirst()`
    `void` | `shouldNotMixTypesForGettingSpecificVerticesWithStringFirst()`
    `void` | `shouldNotMixTypesForGettingSpecificVerticesWithVertexFirst()`
    `void` | `shouldOverwriteEarlierKeyValuesWithLaterKeyValuesOnAddVertexIfMultiProperty()`
    `void` | `shouldOverwriteEarlierKeyValuesWithLaterKeyValuesOnAddVertexIfNoMultiProperty()`
    `void` | `shouldPersistDataOnClose()`
    `void` | `shouldRemoveEdges()` Generate a graph with lots of edges and vertices, then test vertex/edge counts on removal of each edge.
    `void` | `shouldRemoveEdgesWithoutConcurrentModificationException()` Generate a graph with lots of edges, then iterate the edges and remove them from the graph
    `void` | `shouldRemoveVertices()` Generate a graph with lots of edges and vertices, then test vertex/edge counts on removal of each vertex.
    `void` | `shouldRemoveVerticesWithoutConcurrentModificationException()` Generate a graph with lots of vertices, then iterate the vertices and remove them from the graph
    `void` | `shouldTestTreeConnectivity()`
    `void` | `shouldTraverseInOutFromVertexWithMultipleEdgeLabelFilter()`
    `void` | `shouldTraverseInOutFromVertexWithSingleEdgeLabelFilter()`
    `void` | `shouldUpsertWhenAssigningSameIdOnVertex()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphTest

          public GraphTest()

  - ### Method Detail

    - #### shouldImplementAndExposeFeatures

          public void shouldImplementAndExposeFeatures()

      Ensure compliance with Features by checking that all Features are exposed by the implementation.

    - #### shouldHaveExceptionConsistencyWhenFindVertexByIdThatIsNonExistentViaIterator

          public void shouldHaveExceptionConsistencyWhenFindVertexByIdThatIsNonExistentViaIterator()

    - #### shouldHaveExceptionConsistencyWhenFindEdgeByIdThatIsNonExistentViaIterator

          public void shouldHaveExceptionConsistencyWhenFindEdgeByIdThatIsNonExistentViaIterator()

    - #### shouldHaveExceptionConsistencyWhenAssigningSameIdOnVertex

          public void shouldHaveExceptionConsistencyWhenAssigningSameIdOnVertex()

    - #### shouldUpsertWhenAssigningSameIdOnVertex

          public void shouldUpsertWhenAssigningSameIdOnVertex()

    - #### shouldAddVertexWithUserSuppliedNumericId

          public void shouldAddVertexWithUserSuppliedNumericId()

    - #### shouldAddVertexWithUserSuppliedStringId

          public void shouldAddVertexWithUserSuppliedStringId()

    - #### shouldAddVertexWithUserSuppliedUuidId

          public void shouldAddVertexWithUserSuppliedUuidId()

    - #### shouldAddVertexWithUserSuppliedAnyIdUsingUuid

          public void shouldAddVertexWithUserSuppliedAnyIdUsingUuid()

    - #### shouldAddVertexWithUserSuppliedAnyIdUsingString

          public void shouldAddVertexWithUserSuppliedAnyIdUsingString()

    - #### shouldAddVertexWithUserSuppliedAnyIdUsingAnyObject

          public void shouldAddVertexWithUserSuppliedAnyIdUsingAnyObject()

    - #### shouldIterateVerticesWithUuidIdSupportUsingVertex

          public void shouldIterateVerticesWithUuidIdSupportUsingVertex()

    - #### shouldIterateVerticesWithUuidIdSupportUsingDetachedVertex

          public void shouldIterateVerticesWithUuidIdSupportUsingDetachedVertex()

    - #### shouldIterateVerticesWithUuidIdSupportUsingReferenceVertex

          public void shouldIterateVerticesWithUuidIdSupportUsingReferenceVertex()

    - #### shouldIterateVerticesWithUuidIdSupportUsingStarVertex

          public void shouldIterateVerticesWithUuidIdSupportUsingStarVertex()

    - #### shouldIterateVerticesWithUuidIdSupportUsingVertexId

          public void shouldIterateVerticesWithUuidIdSupportUsingVertexId()

    - #### shouldIterateVerticesWithUuidIdSupportUsingStringRepresentation

          public void shouldIterateVerticesWithUuidIdSupportUsingStringRepresentation()

    - #### shouldIterateVerticesWithUuidIdSupportUsingVertices

          public void shouldIterateVerticesWithUuidIdSupportUsingVertices()

    - #### shouldIterateVerticesWithUuidIdSupportUsingVertexIds

          public void shouldIterateVerticesWithUuidIdSupportUsingVertexIds()

    - #### shouldIterateVerticesWithUuidIdSupportUsingStringRepresentations

          public void shouldIterateVerticesWithUuidIdSupportUsingStringRepresentations()

    - #### shouldIterateVerticesWithCustomIdSupportUsingVertex

          public void shouldIterateVerticesWithCustomIdSupportUsingVertex()

    - #### shouldIterateVerticesWithCustomIdSupportUsingDetachedVertex

          public void shouldIterateVerticesWithCustomIdSupportUsingDetachedVertex()

    - #### shouldIterateVerticesWithCustomIdSupportUsingReferenceVertex

          public void shouldIterateVerticesWithCustomIdSupportUsingReferenceVertex()

    - #### shouldIterateVerticesWithCustomIdSupportUsingStarVertex

          public void shouldIterateVerticesWithCustomIdSupportUsingStarVertex()

    - #### shouldIterateVerticesWithCustomIdSupportUsingVertexId

          public void shouldIterateVerticesWithCustomIdSupportUsingVertexId()

    - #### shouldIterateVerticesWithCustomIdSupportUsingStringRepresentation

          public void shouldIterateVerticesWithCustomIdSupportUsingStringRepresentation()

    - #### shouldIterateVerticesWithCustomIdSupportUsingVertices

          public void shouldIterateVerticesWithCustomIdSupportUsingVertices()

    - #### shouldIterateVerticesWithCustomIdSupportUsingVertexIds

          public void shouldIterateVerticesWithCustomIdSupportUsingVertexIds()

    - #### shouldIterateVerticesWithCustomIdSupportUsingStringRepresentations

          public void shouldIterateVerticesWithCustomIdSupportUsingStringRepresentations()

    - #### shouldIterateVerticesWithNumericIdSupportUsingVertex

          public void shouldIterateVerticesWithNumericIdSupportUsingVertex()

    - #### shouldIterateVerticesWithNumericSupportUsingDetachedVertex

          public void shouldIterateVerticesWithNumericSupportUsingDetachedVertex()

    - #### shouldIterateVerticesWithNumericSupportUsingReferenceVertex

          public void shouldIterateVerticesWithNumericSupportUsingReferenceVertex()

    - #### shouldIterateVerticesWithNumericSupportUsingStarVertex

          public void shouldIterateVerticesWithNumericSupportUsingStarVertex()

    - #### shouldIterateVerticesWithNumericIdSupportUsingVertexId

          public void shouldIterateVerticesWithNumericIdSupportUsingVertexId()

    - #### shouldIterateVerticesWithNumericIdSupportUsingLongRepresentation

          public void shouldIterateVerticesWithNumericIdSupportUsingLongRepresentation()

    - #### shouldIterateVerticesWithNumericIdSupportUsingIntegerRepresentation

          public void shouldIterateVerticesWithNumericIdSupportUsingIntegerRepresentation()

    - #### shouldIterateVerticesWithNumericIdSupportUsingFloatRepresentation

          public void shouldIterateVerticesWithNumericIdSupportUsingFloatRepresentation()

    - #### shouldIterateVerticesWithNumericIdSupportUsingDoubleRepresentation

          public void shouldIterateVerticesWithNumericIdSupportUsingDoubleRepresentation()

    - #### shouldIterateVerticesWithNumericIdSupportUsingStringRepresentation

          public void shouldIterateVerticesWithNumericIdSupportUsingStringRepresentation()

    - #### shouldIterateVerticesWithNumericIdSupportUsingVertices

          public void shouldIterateVerticesWithNumericIdSupportUsingVertices()

    - #### shouldIterateVerticesWithNumericIdSupportUsingVertexIds

          public void shouldIterateVerticesWithNumericIdSupportUsingVertexIds()

    - #### shouldIterateVerticesWithNumericIdSupportUsingLongRepresentations

          public void shouldIterateVerticesWithNumericIdSupportUsingLongRepresentations()

    - #### shouldIterateVerticesWithNumericIdSupportUsingIntegerRepresentations

          public void shouldIterateVerticesWithNumericIdSupportUsingIntegerRepresentations()

    - #### shouldIterateVerticesWithNumericIdSupportUsingFloatRepresentations

          public void shouldIterateVerticesWithNumericIdSupportUsingFloatRepresentations()

    - #### shouldIterateVerticesWithNumericIdSupportUsingDoubleRepresentations

          public void shouldIterateVerticesWithNumericIdSupportUsingDoubleRepresentations()

    - #### shouldIterateVerticesWithNumericIdSupportUsingStringRepresentations

          public void shouldIterateVerticesWithNumericIdSupportUsingStringRepresentations()

    - #### shouldNotMixTypesForGettingSpecificVerticesWithVertexFirst

          public void shouldNotMixTypesForGettingSpecificVerticesWithVertexFirst()

    - #### shouldNotMixTypesForGettingSpecificVerticesWithStringFirst

          public void shouldNotMixTypesForGettingSpecificVerticesWithStringFirst()

    - #### shouldIterateVerticesWithStringIdSupportUsingVertex

          public void shouldIterateVerticesWithStringIdSupportUsingVertex()

    - #### shouldIterateVerticesWithStringSupportUsingDetachedVertex

          public void shouldIterateVerticesWithStringSupportUsingDetachedVertex()

    - #### shouldIterateVerticesWithStringSupportUsingReferenceVertex

          public void shouldIterateVerticesWithStringSupportUsingReferenceVertex()

    - #### shouldIterateVerticesWithStringSupportUsingStarVertex

          public void shouldIterateVerticesWithStringSupportUsingStarVertex()

    - #### shouldIterateVerticesWithStringIdSupportUsingVertexId

          public void shouldIterateVerticesWithStringIdSupportUsingVertexId()

    - #### shouldIterateVerticesWithStringIdSupportUsingStringRepresentation

          public void shouldIterateVerticesWithStringIdSupportUsingStringRepresentation()

    - #### shouldIterateVerticesWithStringIdSupportUsingVertices

          public void shouldIterateVerticesWithStringIdSupportUsingVertices()

    - #### shouldIterateVerticesWithStringIdSupportUsingVertexIds

          public void shouldIterateVerticesWithStringIdSupportUsingVertexIds()

    - #### shouldIterateVerticesWithStringIdSupportUsingStringRepresentations

          public void shouldIterateVerticesWithStringIdSupportUsingStringRepresentations()

    - #### shouldOverwriteEarlierKeyValuesWithLaterKeyValuesOnAddVertexIfNoMultiProperty

          public void shouldOverwriteEarlierKeyValuesWithLaterKeyValuesOnAddVertexIfNoMultiProperty()

    - #### shouldOverwriteEarlierKeyValuesWithLaterKeyValuesOnAddVertexIfMultiProperty

          public void shouldOverwriteEarlierKeyValuesWithLaterKeyValuesOnAddVertexIfMultiProperty()

    - #### shouldHaveStandardStringRepresentation

          public void shouldHaveStandardStringRepresentation()
                                                      throws Exception

      Graphs should have a standard toString representation where the value is generated by `StringFactory.graphString(Graph, String)`.
      Throws:
        `Exception`

    - #### shouldRemoveEdges

          public void shouldRemoveEdges()

      Generate a graph with lots of edges and vertices, then test vertex/edge counts on removal of each edge.

    - #### shouldRemoveVertices

          public void shouldRemoveVertices()

      Generate a graph with lots of edges and vertices, then test vertex/edge counts on removal of each vertex.

    - #### shouldRemoveVerticesWithoutConcurrentModificationException

          public void shouldRemoveVerticesWithoutConcurrentModificationException()

      Generate a graph with lots of vertices, then iterate the vertices and remove them from the graph

    - #### shouldRemoveEdgesWithoutConcurrentModificationException

          public void shouldRemoveEdgesWithoutConcurrentModificationException()

      Generate a graph with lots of edges, then iterate the edges and remove them from the graph

    - #### shouldEvaluateConnectivityPatterns

          public void shouldEvaluateConnectivityPatterns()

      Create a small `Graph` and ensure that counts of edges per vertex are correct.

    - #### shouldTraverseInOutFromVertexWithSingleEdgeLabelFilter

          public void shouldTraverseInOutFromVertexWithSingleEdgeLabelFilter()

    - #### shouldTraverseInOutFromVertexWithMultipleEdgeLabelFilter

          public void shouldTraverseInOutFromVertexWithMultipleEdgeLabelFilter()

    - #### shouldTestTreeConnectivity

          public void shouldTestTreeConnectivity()

    - #### shouldPersistDataOnClose

          public void shouldPersistDataOnClose()
                                        throws Exception

      Throws:
        `Exception`

    - #### shouldIterateEdgesWithUuidIdSupportUsingEdge

          public void shouldIterateEdgesWithUuidIdSupportUsingEdge()

    - #### shouldIterateEdgesWithUuidIdSupportUsingEdgeId

          public void shouldIterateEdgesWithUuidIdSupportUsingEdgeId()

    - #### shouldIterateEdgesWithUuidIdSupportUsingStringRepresentation

          public void shouldIterateEdgesWithUuidIdSupportUsingStringRepresentation()

    - #### shouldIterateEdgesWithUuidIdSupportUsingEdges

          public void shouldIterateEdgesWithUuidIdSupportUsingEdges()

    - #### shouldIterateEdgesWithUuidIdSupportUsingEdgeIds

          public void shouldIterateEdgesWithUuidIdSupportUsingEdgeIds()

    - #### shouldIterateEdgesWithUuidIdSupportUsingStringRepresentations

          public void shouldIterateEdgesWithUuidIdSupportUsingStringRepresentations()

    - #### shouldIterateEdgesWithCustomIdSupportUsingEdge

          public void shouldIterateEdgesWithCustomIdSupportUsingEdge()

    - #### shouldIterateEdgesWithCustomIdSupportUsingEdgeId

          public void shouldIterateEdgesWithCustomIdSupportUsingEdgeId()

    - #### shouldIterateEdgesWithCustomIdSupportUsingStringRepresentation

          public void shouldIterateEdgesWithCustomIdSupportUsingStringRepresentation()

    - #### shouldIterateEdgesWithCustomIdSupportUsingEdges

          public void shouldIterateEdgesWithCustomIdSupportUsingEdges()

    - #### shouldIterateEdgesWithCustomIdSupportUsingEdgeIds

          public void shouldIterateEdgesWithCustomIdSupportUsingEdgeIds()

    - #### shouldIterateEdgesWithCustomIdSupportUsingStringRepresentations

          public void shouldIterateEdgesWithCustomIdSupportUsingStringRepresentations()

    - #### shouldIterateEdgesWithNumericIdSupportUsingEdge

          public void shouldIterateEdgesWithNumericIdSupportUsingEdge()

    - #### shouldIterateEdgesWithNumericIdSupportUsingEdgeId

          public void shouldIterateEdgesWithNumericIdSupportUsingEdgeId()

    - #### shouldIterateEdgesWithNumericIdSupportUsingLongRepresentation

          public void shouldIterateEdgesWithNumericIdSupportUsingLongRepresentation()

    - #### shouldIterateEdgesWithNumericIdSupportUsingIntegerRepresentation

          public void shouldIterateEdgesWithNumericIdSupportUsingIntegerRepresentation()

    - #### shouldIterateEdgesWithNumericIdSupportUsingFloatRepresentation

          public void shouldIterateEdgesWithNumericIdSupportUsingFloatRepresentation()

    - #### shouldIterateEdgesWithNumericIdSupportUsingDoubleRepresentation

          public void shouldIterateEdgesWithNumericIdSupportUsingDoubleRepresentation()

    - #### shouldIterateEdgesWithNumericIdSupportUsingStringRepresentation

          public void shouldIterateEdgesWithNumericIdSupportUsingStringRepresentation()

    - #### shouldIterateEdgesWithNumericIdSupportUsingVertices

          public void shouldIterateEdgesWithNumericIdSupportUsingVertices()

    - #### shouldIterateEdgesWithNumericIdSupportUsingEdgeIds

          public void shouldIterateEdgesWithNumericIdSupportUsingEdgeIds()

    - #### shouldIterateEdgesWithNumericIdSupportUsingLongRepresentations

          public void shouldIterateEdgesWithNumericIdSupportUsingLongRepresentations()

    - #### shouldIterateEdgesWithNumericIdSupportUsingIntegerRepresentations

          public void shouldIterateEdgesWithNumericIdSupportUsingIntegerRepresentations()

    - #### shouldIterateEdgesWithNumericIdSupportUsingFloatRepresentations

          public void shouldIterateEdgesWithNumericIdSupportUsingFloatRepresentations()

    - #### shouldIterateEdgesWithNumericIdSupportUsingDoubleRepresentations

          public void shouldIterateEdgesWithNumericIdSupportUsingDoubleRepresentations()

    - #### shouldIterateEdgesWithNumericIdSupportUsingStringRepresentations

          public void shouldIterateEdgesWithNumericIdSupportUsingStringRepresentations()

    - #### shouldNotMixTypesForGettingSpecificEdgesWithEdgeFirst

          public void shouldNotMixTypesForGettingSpecificEdgesWithEdgeFirst()

    - #### shouldNotMixTypesForGettingSpecificEdgesWithStringFirst

          public void shouldNotMixTypesForGettingSpecificEdgesWithStringFirst()

    - #### shouldIterateEdgesWithStringIdSupportUsingEdge

          public void shouldIterateEdgesWithStringIdSupportUsingEdge()

    - #### shouldIterateEdgesWithStringIdSupportUsingEdgeId

          public void shouldIterateEdgesWithStringIdSupportUsingEdgeId()

    - #### shouldIterateEdgesWithStringIdSupportUsingStringRepresentation

          public void shouldIterateEdgesWithStringIdSupportUsingStringRepresentation()

    - #### shouldIterateEdgesWithStringIdSupportUsingEdges

          public void shouldIterateEdgesWithStringIdSupportUsingEdges()

    - #### shouldIterateEdgesWithStringIdSupportUsingEdgeIds

          public void shouldIterateEdgesWithStringIdSupportUsingEdgeIds()

    - #### shouldIterateEdgesWithStringIdSupportUsingStringRepresentations

          public void shouldIterateEdgesWithStringIdSupportUsingStringRepresentations()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.